#include <RH_ASK.h>
#define LED_PIN 7

RH_ASK rf;
   
void setup() {
  rf.init();
  pinMode(LED_PIN, OUTPUT);
}
 
void loop() {
  uint8_t buffer[RH_ASK_MAX_MESSAGE_LEN];
  uint8_t bufferLength = sizeof(buffer);
  if (rf.recv(buffer, &bufferLength)) {
    buffer[bufferLength] = '\0';
    if (strncmp((char *) buffer, "ON", bufferLength) == 0) {
      digitalWrite(LED_PIN, HIGH);
    } else {
      digitalWrite(LED_PIN, LOW);
    }
  }
  delay(10);
}
