#include <RH_ASK.h>
#define BUTTON_PIN 2

RH_ASK rf;

int lastValue = LOW;
int state = LOW;
const char *msgON = "ON";
const char *msgOFF = "OFF";

void setup() {
  rf.init();
  pinMode(BUTTON_PIN, INPUT);
}

void loop() {
  int value = digitalRead(BUTTON_PIN);
  if (value != lastValue && value == HIGH) {
    state = !state;
    if (state) {
      rf.send((uint8_t *) msgON, strlen(msgON));
    } else {
      rf.send((uint8_t *) msgOFF, strlen(msgOFF));
    }
    rf.waitPacketSent();
  }
  lastValue = value;
  delay(50);
}
