#include <RH_ASK.h>
#include <DHT.h>
#define DHT_PIN 7

struct DataHolder {
  float temperature;
  float humidity;
};

DataHolder dh;
RH_ASK rf;
DHT dht(DHT_PIN, DHT11);

void setup() {
  dht.begin();
  rf.init();
}

void loop() {
  delay(1000);
  dh.temperature = dht.readTemperature();
  dh.humidity = dht.readHumidity();
  
  rf.send((uint8_t *) &dh, sizeof(dh));
  rf.waitPacketSent();
}
